//---------------------------------------------------------------------------

#ifndef IDB0060MFH
#define IDB0060MFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ComCtrls.hpp>
#include <ADODB.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
#include "CDSCodeF.h"
#include "CDSTrafficGradeF.h"
#include "cxButtons.hpp"
#include "cxCalc.hpp"
#include "cxCheckBox.hpp"
#include "cxClasses.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridBandedTableView.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxSpinEdit.hpp"
#include "cxStyles.hpp"
#include "cxTextEdit.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxSkinMcSkin.hpp"

//---------------------------------------------------------------------------

class TIDB0060M : public TForm
{
__published:	// IDE-managed Components
    TTimer *TmrShow;
    TShape *ShpTitle;
    TcxButton *BtnSearch;
    TcxButton *BtnClose;
    TLabel *LblCaption;
    TShape *ShpList;
    TEdit *EdFocus;
    TcxButton *BtnSave;
    TcxGrid *CxList;
    TcxGridBandedTableView *TvList;
    TcxGridBandedColumn *Column03;
    TcxGridBandedColumn *Column05;
    TcxGridBandedColumn *Column07;
    TcxGridBandedColumn *Column09;
    TcxGridBandedColumn *Column11;
    TcxGridBandedColumn *Column88;
    TcxGridBandedColumn *Column04;
    TcxGridBandedColumn *Column08;
    TcxGridBandedColumn *Column10;
    TcxGridBandedColumn *Column12;
    TcxGridLevel *GlList;
    TcxGridBandedColumn *Column01;
    TcxGridBandedColumn *Column02;
    TcxGridBandedColumn *Column06;
    TcxCheckBox *ChkExpand;
    TColorDialog *ColorDialog;
    TcxGridBandedColumn *Column98;
    TcxGridBandedColumn *Column13;
    TcxGridBandedColumn *Column14;
    TcxGridBandedColumn *Column99;
    TcxButton *BtnEdit;
    TcxButton *BtnInsert;
    TcxButton *BtnDelete;
    TcxButton *BtnApply;
    TcxLabel *LblRecords;
    TcxGridBandedColumn *Column00;
    TcxLabel *lbl3Step;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall BtnSearchClick(TObject *Sender);
    void __fastcall BtnCloseClick(TObject *Sender);
    void __fastcall BtnSaveClick(TObject *Sender);
    void __fastcall Column11CustomDrawCell(TcxCustomGridTableView *Sender, TcxCanvas *ACanvas, TcxGridTableDataCellViewInfo *AViewInfo,
          bool &ADone);
    void __fastcall ChkExpandClick(TObject *Sender);
    void __fastcall ColValSpdPropertiesChange(TObject *Sender);
    void __fastcall TvListCellClick(TcxCustomGridTableView *Sender, TcxGridTableDataCellViewInfo *ACellViewInfo, TMouseButton AButton,
          TShiftState AShift, bool &AHandled);
    void __fastcall TvListMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall BtnEditClick(TObject *Sender);
    void __fastcall BtnApplyClick(TObject *Sender);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
    void __fastcall CommClose();
    String              FTitle;
    bool                FUpdate;
    TcxDataController  *m_pGDC;
	TItsCode           *FCodeLTC;

public:

public:		// User declarations
    __fastcall TIDB0060M(TComponent* Owner);

    void __fastcall FormInit();
    void __fastcall RefreshData();
    void __fastcall SelListData();

    void __fastcall ChangeEditMode(bool AEdit);
    bool __fastcall IsUpdate();
    void __fastcall SaveData();
    void __fastcall RollbackListData();
};
//---------------------------------------------------------------------------
extern PACKAGE TIDB0060M *IDB0060M;
//---------------------------------------------------------------------------

#endif

